#pragma once

#include "CoreMinimal.h"
#include "StatusEffect.h"
#include "TacticianWireTapRevealEffect.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class CALAMARI_API UTacticianWireTapRevealEffect : public UStatusEffect
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, ReplicatedUsing=OnRep_InRange, meta=(AllowPrivateAccess=true))
	bool _inRange;

private:
	UFUNCTION(BlueprintCallable)
	void OnRep_InRange();

public:
	virtual void GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const override;

public:
	UTacticianWireTapRevealEffect();
};

FORCEINLINE uint32 GetTypeHash(const UTacticianWireTapRevealEffect) { return 0; }
